> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.markup/yarn.markup.replacementmarkerresult.md).

# ReplacementMarkerResult

Struct in [Yarn.Markup](/3.1/api/csharp/yarn.markup.md)

Inherits from `System.ValueType`

## Summary

A bundle of results from processing replacement markers.

```csharp
public struct ReplacementMarkerResult
```

## Constructors

| Name                                                                                                                                                                              | Description                                                                                                                                                                                                                              |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ReplacementMarkerResult(List\<LineParser.MarkupDiagnostic>,int)](/3.1/api/csharp/yarn.markup/yarn.markup.replacementmarkerresult/yarn.markup.replacementmarkerresult..ctor-1.md) | Convenience constructor for replacement markup results.                                                                                                                                                                                  |
| [ReplacementMarkerResult(int)](/3.1/api/csharp/yarn.markup/yarn.markup.replacementmarkerresult/yarn.markup.replacementmarkerresult..ctor-2.md)                                    | Convenience form of [ReplacementMarkerResult(List\<LineParser.MarkupDiagnostic>,int)](/3.1/api/csharp/yarn.markup/yarn.markup.replacementmarkerresult/yarn.markup.replacementmarkerresult..ctor-1.md) for when there are no diagnostics. |

## Fields

| Name                                                                                                                                              | Description                                                               |
| ------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| [Diagnostics](/3.1/api/csharp/yarn.markup/yarn.markup.replacementmarkerresult/yarn.markup.replacementmarkerresult.diagnostics.md)                 | The collection of diagnostics produced during processing, if any.         |
| [InvisibleCharacters](/3.1/api/csharp/yarn.markup/yarn.markup.replacementmarkerresult/yarn.markup.replacementmarkerresult.invisiblecharacters.md) | The number of invisible characters added into the line during processing. |

## See Also

* [IAttributeMarkerProcessor](/3.1/api/csharp/yarn.markup/yarn.markup.iattributemarkerprocessor.md): Provides a mechanism for producing replacement text for a marker.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.markup/yarn.markup.replacementmarkerresult.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
